#ifndef SINFO_H
#define SINFO_H

typedef struct _streaminfo {
  char* name;
  int version;
  const char *version_string;
  int layer;
  const char *layer_string;
  int mode;
  const char *mode_string;
  int sample_frequency;
  const char *freq_string;
  int which_channels;

  const char *bitrate_string;
  int min_number_of_frames;
  float ms_per_frame;
  int original;
  int copyright;
  int ext;
} streaminfo;

typedef struct _prefsinfo 
{
      char *http_proxy;
      int http_proxy_port;
      int force_to_mono;
      int mono_mode;
      int downsample;
      int check_range_violations;
      int resync;
      int scalefactor;
      char *device;
      int output_to;
      int buffersize;      
} prefsinfo;

#endif
